org.keycloak.saml.processing.core.parsers.saml.protocol

## Enum SAMLProtocolQNames

- java.lang.Object
- - java.lang.Enum<SAMLProtocolQNames>
  - - org.keycloak.saml.processing.core.parsers.saml.protocol.SAMLProtocolQNames

- All Implemented Interfaces:
    Serializable, Comparable<SAMLProtocolQNames>, HasQName

      public enum SAMLProtocolQNames
      extends Enum<SAMLProtocolQNames>
      implements HasQName

  Elements from saml-schema-protocol-2.0.xsd
  Author:
    hmlnarik

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ARTIFACT`
    `ARTIFACT_RESOLVE`
    `ARTIFACT_RESPONSE`
    `ASSERTION`
    `ASSERTION_ID_REQUEST`
    `ATTR_ALLOW_CREATE`
    `ATTR_ASSERTION_CONSUMER_SERVICE_INDEX`
    `ATTR_ASSERTION_CONSUMER_SERVICE_URL`
    `ATTR_ATTRIBUTE_CONSUMING_SERVICE_INDEX`
    `ATTR_COMPARISON`
    `ATTR_CONSENT`
    `ATTR_DESTINATION`
    `ATTR_FORCE_AUTHN`
    `ATTR_FORMAT`
    `ATTR_ID`
    `ATTR_IN_RESPONSE_TO`
    `ATTR_IS_PASSIVE`
    `ATTR_ISSUE_INSTANT`
    `ATTR_NOT_BEFORE`
    `ATTR_NOT_ON_OR_AFTER`
    `ATTR_PROTOCOL_BINDING`
    `ATTR_PROVIDER_NAME`
    `ATTR_REASON`
    `ATTR_VALUE`
    `ATTR_VERSION`
    `ATTRIBUTE`
    `ATTRIBUTE_QUERY`
    `AUTHN_CONTEXT_CLASS_REF`
    `AUTHN_CONTEXT_DECL_REF`
    `AUTHN_QUERY`
    `AUTHN_REQUEST`
    `AUTHZ_DECISION_QUERY`
    `BASEID`
    `CONDITIONS`
    `ENCRYPTED_ASSERTION`
    `ENCRYPTED_ID`
    `EXTENSIONS`
    `GET_COMPLETE`
    `IDP_ENTRY`
    `IDP_LIST`
    `ISSUER`
    `LOGOUT_REQUEST`
    `LOGOUT_RESPONSE`
    `MANAGE_NAMEID_REQUEST`
    `MANAGE_NAMEID_RESPONSE`
    `NAMEID`
    `NAMEID_MAPPING_REQUEST`
    `NAMEID_MAPPING_RESPONSE`
    `NAMEID_POLICY`
    `NEW_ENCRYPTEDID`
    `NEWID`
    `REQUESTED_AUTHN_CONTEXT`
    `REQUESTERID`
    `RESPONSE`
    `SCOPING`
    `SESSION_INDEX`
    `SIGNATURE`
    `STATUS`
    `STATUS_CODE`
    `STATUS_DETAIL`
    `STATUS_MESSAGE`
    `SUBJECT`
    `SUBJECT_QUERY`
    `TERMINATE`
    `UNKNOWN_ELEMENT`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `QName` | `getQName()`
    `QName` | `getQName(String prefix)`
    `static SAMLProtocolQNames` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SAMLProtocolQNames[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ARTIFACT

          public static final SAMLProtocolQNames ARTIFACT

    - #### ARTIFACT_RESOLVE

          public static final SAMLProtocolQNames ARTIFACT_RESOLVE

    - #### ARTIFACT_RESPONSE

          public static final SAMLProtocolQNames ARTIFACT_RESPONSE

    - #### ASSERTION_ID_REQUEST

          public static final SAMLProtocolQNames ASSERTION_ID_REQUEST

    - #### ATTRIBUTE_QUERY

          public static final SAMLProtocolQNames ATTRIBUTE_QUERY

    - #### AUTHN_QUERY

          public static final SAMLProtocolQNames AUTHN_QUERY

    - #### AUTHN_REQUEST

          public static final SAMLProtocolQNames AUTHN_REQUEST

    - #### AUTHZ_DECISION_QUERY

          public static final SAMLProtocolQNames AUTHZ_DECISION_QUERY

    - #### EXTENSIONS

          public static final SAMLProtocolQNames EXTENSIONS

    - #### GET_COMPLETE

          public static final SAMLProtocolQNames GET_COMPLETE

    - #### IDP_ENTRY

          public static final SAMLProtocolQNames IDP_ENTRY

    - #### IDP_LIST

          public static final SAMLProtocolQNames IDP_LIST

    - #### LOGOUT_REQUEST

          public static final SAMLProtocolQNames LOGOUT_REQUEST

    - #### LOGOUT_RESPONSE

          public static final SAMLProtocolQNames LOGOUT_RESPONSE

    - #### MANAGE_NAMEID_REQUEST

          public static final SAMLProtocolQNames MANAGE_NAMEID_REQUEST

    - #### MANAGE_NAMEID_RESPONSE

          public static final SAMLProtocolQNames MANAGE_NAMEID_RESPONSE

    - #### NAMEID_MAPPING_REQUEST

          public static final SAMLProtocolQNames NAMEID_MAPPING_REQUEST

    - #### NAMEID_MAPPING_RESPONSE

          public static final SAMLProtocolQNames NAMEID_MAPPING_RESPONSE

    - #### NAMEID_POLICY

          public static final SAMLProtocolQNames NAMEID_POLICY

    - #### NEW_ENCRYPTEDID

          public static final SAMLProtocolQNames NEW_ENCRYPTEDID

    - #### NEWID

          public static final SAMLProtocolQNames NEWID

    - #### REQUESTED_AUTHN_CONTEXT

          public static final SAMLProtocolQNames REQUESTED_AUTHN_CONTEXT

    - #### REQUESTERID

          public static final SAMLProtocolQNames REQUESTERID

    - #### RESPONSE

          public static final SAMLProtocolQNames RESPONSE

    - #### SCOPING

          public static final SAMLProtocolQNames SCOPING

    - #### SESSION_INDEX

          public static final SAMLProtocolQNames SESSION_INDEX

    - #### STATUS_CODE

          public static final SAMLProtocolQNames STATUS_CODE

    - #### STATUS_DETAIL

          public static final SAMLProtocolQNames STATUS_DETAIL

    - #### STATUS_MESSAGE

          public static final SAMLProtocolQNames STATUS_MESSAGE

    - #### STATUS

          public static final SAMLProtocolQNames STATUS

    - #### SUBJECT_QUERY

          public static final SAMLProtocolQNames SUBJECT_QUERY

    - #### TERMINATE

          public static final SAMLProtocolQNames TERMINATE

    - #### ATTR_ALLOW_CREATE

          public static final SAMLProtocolQNames ATTR_ALLOW_CREATE

    - #### ATTR_ASSERTION_CONSUMER_SERVICE_URL

          public static final SAMLProtocolQNames ATTR_ASSERTION_CONSUMER_SERVICE_URL

    - #### ATTR_ASSERTION_CONSUMER_SERVICE_INDEX

          public static final SAMLProtocolQNames ATTR_ASSERTION_CONSUMER_SERVICE_INDEX

    - #### ATTR_ATTRIBUTE_CONSUMING_SERVICE_INDEX

          public static final SAMLProtocolQNames ATTR_ATTRIBUTE_CONSUMING_SERVICE_INDEX

    - #### ATTR_COMPARISON

          public static final SAMLProtocolQNames ATTR_COMPARISON

    - #### ATTR_CONSENT

          public static final SAMLProtocolQNames ATTR_CONSENT

    - #### ATTR_DESTINATION

          public static final SAMLProtocolQNames ATTR_DESTINATION

    - #### ATTR_FORCE_AUTHN

          public static final SAMLProtocolQNames ATTR_FORCE_AUTHN

    - #### ATTR_FORMAT

          public static final SAMLProtocolQNames ATTR_FORMAT

    - #### ATTR_ID

          public static final SAMLProtocolQNames ATTR_ID

    - #### ATTR_IN_RESPONSE_TO

          public static final SAMLProtocolQNames ATTR_IN_RESPONSE_TO

    - #### ATTR_IS_PASSIVE

          public static final SAMLProtocolQNames ATTR_IS_PASSIVE

    - #### ATTR_ISSUE_INSTANT

          public static final SAMLProtocolQNames ATTR_ISSUE_INSTANT

    - #### ATTR_NOT_BEFORE

          public static final SAMLProtocolQNames ATTR_NOT_BEFORE

    - #### ATTR_NOT_ON_OR_AFTER

          public static final SAMLProtocolQNames ATTR_NOT_ON_OR_AFTER

    - #### ATTR_PROTOCOL_BINDING

          public static final SAMLProtocolQNames ATTR_PROTOCOL_BINDING

    - #### ATTR_PROVIDER_NAME

          public static final SAMLProtocolQNames ATTR_PROVIDER_NAME

    - #### ATTR_REASON

          public static final SAMLProtocolQNames ATTR_REASON

    - #### ATTR_VALUE

          public static final SAMLProtocolQNames ATTR_VALUE

    - #### ATTR_VERSION

          public static final SAMLProtocolQNames ATTR_VERSION

    - #### ATTRIBUTE

          public static final SAMLProtocolQNames ATTRIBUTE

    - #### ASSERTION

          public static final SAMLProtocolQNames ASSERTION

    - #### AUTHN_CONTEXT_CLASS_REF

          public static final SAMLProtocolQNames AUTHN_CONTEXT_CLASS_REF

    - #### AUTHN_CONTEXT_DECL_REF

          public static final SAMLProtocolQNames AUTHN_CONTEXT_DECL_REF

    - #### BASEID

          public static final SAMLProtocolQNames BASEID

    - #### CONDITIONS

          public static final SAMLProtocolQNames CONDITIONS

    - #### ENCRYPTED_ASSERTION

          public static final SAMLProtocolQNames ENCRYPTED_ASSERTION

    - #### ISSUER

          public static final SAMLProtocolQNames ISSUER

    - #### NAMEID

          public static final SAMLProtocolQNames NAMEID

    - #### SIGNATURE

          public static final SAMLProtocolQNames SIGNATURE

    - #### ENCRYPTED_ID

          public static final SAMLProtocolQNames ENCRYPTED_ID

    - #### SUBJECT

          public static final SAMLProtocolQNames SUBJECT

    - #### UNKNOWN_ELEMENT

          public static final SAMLProtocolQNames UNKNOWN_ELEMENT

  - ### Method Detail

    - #### values

          public static SAMLProtocolQNames[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SAMLProtocolQNames c : SAMLProtocolQNames.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SAMLProtocolQNames valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getQName

          public QName getQName()

      Specified by:
        `getQName` in interface `HasQName`

    - #### getQName

          public QName getQName(String prefix)

Copyright © 2020 JBoss by Red Hat. All rights reserved.